Create a report run

POST
/reports/{report_id}/runs

Path Parameters

report_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

column_ids?array<string>
interval_start?string
Formatdate_time
interval_end?string
Formatdate_time
last_updated_since?string

Only fetch records updated since this ISO 8601 timestamp. Useful when maintaining a local copy of report data.

Formatdate_time
search_query?string
filters?object

Filter keys match the names returned by the report. Date filters accept gteq and lteq ISO 8601 strings. Enum filters accept arrays of strings or booleans. Data list filters accept arrays of strings.

[key: string]?object | array<string | boolean>
gteq?string
Formatdate_time
lteq?string
Formatdate_time
string | boolean
export_format?string

Export format for the report

Default"csv"
Value in"csv" | "json"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/reports/string/runs" \  -H "Easol-API-Version: 2026-11-01" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "string",
  "object": "report_run",
  "report": "string",
  "state": "string",
  "result": "string",
  "column_ids": [
    "string"
  ],
  "search_query": "string",
  "last_updated_since": "string",
  "interval_start": "string",
  "interval_end": "string",
  "filters": {},
  "export_format": "csv"
}
Empty
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}